Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.x509
Class X509KeyIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSKeyIdentifier
oracle.security.xmlsec.wss.x509.X509KeyIdentifier`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

public class X509KeyIdentifier
extends WSSKeyIdentifier

Represents a wsse:KeyIdentifier of type X.509.

Field Summary
`protected static java.lang.String` | `DEFAULT_ENCODING_TYPE` The default encoding algorithm used.

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`X509KeyIdentifier(org.w3c.dom.Document owner)` Create a new `X509KeyIdentifier` instance.
`X509KeyIdentifier(org.w3c.dom.Document owner, java.lang.String valType)` Create a new `X509KeyIdentifier` instance.
`X509KeyIdentifier(org.w3c.dom.Document owner, java.lang.String valType, java.lang.String encType)` Create a new Key Identifier instance.
`X509KeyIdentifier(org.w3c.dom.Element element)` Create a new `X509KeyIdentifier` instance from the given XML element.
`X509KeyIdentifier(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `X509KeyIdentifier` instance from the given XML element.

Method Summary
`static void` | `addResolver(X509KeyIdentifierResolver resolver)` Register a `X509KeyIdentifierResolver` instance for use in key identifier resolver operations.
`protected java.lang.String` | `getDefaultEncodingType()` Return the default encoding type of key identifier.
`java.lang.Object` | `getKey()` Get the underlying security token.
`static java.util.List` | `getResolvers()` Get the registered `X509KeyIdentifierResolver`s.
`WSSecurityToken` | `getSecurityToken()` Get the underlying security token.

Methods inherited from class oracle.security.xmlsec.wss.WSSKeyIdentifier
`getEncodingType, getName, getValue, getValueType, setEncodingType, setValue, setValueType`

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getNode`

Field Detail

### DEFAULT_ENCODING_TYPE

    protected static final java.lang.String DEFAULT_ENCODING_TYPE

  The default encoding algorithm used.
  See Also:
    Constant Field Values

Constructor Detail

### X509KeyIdentifier

    public X509KeyIdentifier(org.w3c.dom.Element element)

  Create a new `X509KeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.

### X509KeyIdentifier

    public X509KeyIdentifier(org.w3c.dom.Element element,
                             java.lang.String systemId)

  Create a new `X509KeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.
  `systemId` - The URI string system ID for this element.

### X509KeyIdentifier

    public X509KeyIdentifier(org.w3c.dom.Document owner)

  Create a new `X509KeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### X509KeyIdentifier

    public X509KeyIdentifier(org.w3c.dom.Document owner,
                             java.lang.String valType)

  Create a new `X509KeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The key identifier value type.

### X509KeyIdentifier

    public X509KeyIdentifier(org.w3c.dom.Document owner,
                             java.lang.String valType,
                             java.lang.String encType)

  Create a new Key Identifier instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The value type of the key identifier.
  `encType` - The encoding type of the key identifier .

Method Detail

### addResolver

    public static void addResolver(X509KeyIdentifierResolver resolver)

  Register a `X509KeyIdentifierResolver` instance for use in key identifier resolver operations.
  Parameters:
    `resolver` - The X.509 key identifier resolver.

### getResolvers

    public static java.util.List getResolvers()

  Get the registered `X509KeyIdentifierResolver`s.
  Returns:
    The `List` of registered X.509 key identifier resolvers.

### getSecurityToken

    public WSSecurityToken getSecurityToken()
                                     throws WSSException

  Get the underlying security token.

  Relies on the X509KeyIdentifierResolver to obtain the X.509 certificate corresponding to the X.509 KeyIdentifier.

  Returns:
    The X.509 certificate token.
  Throws:
    `WSSException`

### getKey

    public java.lang.Object getKey()
                            throws WSSException

  Get the underlying security token.

  Relies on the X509KeyIdentifierResolver to obtain the X.509 certificate corresponding to the X.509 KeyIdentifier.

  Returns:
    The X.509 certificate token.
  Throws:
    `WSSException`

### getDefaultEncodingType

    protected java.lang.String getDefaultEncodingType()

  Return the default encoding type of key identifier.

  This is necessary to handle messages that do not contain the EncodingType attribute.

  Specified by:
    `getDefaultEncodingType` in class `WSSKeyIdentifier`
  Returns:
    The key identifier's default encoding typ i.e Base-64..

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.